#!/bin/bash
# 
# statistik outputdir (output file includes prefix of config name)
statsdir="/srv/www/stats"
# config dir
awstatsconfdir="/etc/awstats"
# path to awstats_buildstaticpages.pl
buildstatic="/usr/share/doc/packages/awstats/tools/awstats_buildstaticpages.pl"
# path to awstats.pl
awstatspl="/srv/www/cgi-bin/awstats.pl"
# default language of pages
language="de"
###################################################################################################################################
if [ ! -f /var/lock/awstats ]; then

touch /var/lock/awstats
# goto awstats config dir
cd ${awstatsconfdir}

# find configs
configs=`find . -maxdepth 1 -name awstats.\*.conf | grep -v awstats.model.conf`


for a in ${configs}
do
	# get domainname from config filename
	confname=`echo "${a}" | sed -e s@"^./awstats."@@g | sed -e s@".conf$"@@g`
	# build static pages
	${buildstatic} \
	-config=${confname} \
	-update \
	-lang=${language} \
	-awstatsprog=${awstatspl} \
	-dir=${statsdir} >/dev/null 2>&1

done

rm -f /var/lock/awstats
fi
